Package com.emc.d2fs.interfaces

# Interface IMassUpdateService

All Superinterfaces:
  `ID2fsService`

public interface IMassUpdateService extends ID2fsService
Mass update interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyConfigurations(Context context, String name, List<String> objectIds, List<Attribute> attributes)`
  Apply configuration to multiple documents
  `boolean`
  `canDisplayModeDialog(Context context, String id, String configName)`
  Determine if mode dialog needs to be displayed
  `MassUpdateInformations`
  `getInformations(Context context, String ids, String configName, boolean deepFolder, boolean virtualDescendant)`
  Return some informations about massupdate, like number and names of updated files or non-updated files.
  `List<String>`
  `listConfigurations(Context context, String objectId)`
  Get all available configurations for specified document

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### listConfigurations

    List<String> listConfigurations(Context context, String objectId) throws D2fsException
    Get all available configurations for specified document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of document id
    Returns:
      String list of configuration names
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### applyConfigurations

    void applyConfigurations(Context context, String name, List<String> objectIds, List<Attribute> attributes) throws D2fsException
    Apply configuration to multiple documents
    Parameters:
      `context` - `Context` object containing informations about client/session
      `name` - String value of configuration name
      `objectIds` - String list of document ids
      `attributes` - `Attribute` list of configuration parameters
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### canDisplayModeDialog

    boolean canDisplayModeDialog(Context context, String id, String configName) throws D2fsException
    Determine if mode dialog needs to be displayed
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - Document id
    Returns:
      Return true if the mode dialog will be displayed.
    Throws:
      `D2fsException`
    Since:
      4.1.0

  - ### getInformations

    MassUpdateInformations getInformations(Context context, String ids, String configName, boolean deepFolder, boolean virtualDescendant) throws D2fsException
    Return some informations about massupdate, like number and names of updated files or non-updated files.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `ids` - list of document ids.
      `configName` - String value of configuration name
      `deepFolder` -
      `virtualDescendant` -
    Returns:
      `MassUpdateInformations`
    Throws:
      `D2fsException`
    Since:
      4.1.0